flowMeta:
  name: AI资讯简单版
  description: 资讯简单版
  avatarIcon: https://oss-beijing-m8.openstorage.cn/SparkBotProd/icon/common/emojiitem_00_10@2x.png
  avatarColor: '#FFEAD5'
  advancedConfig: '{"prologue":{"enabled":true,"inputExample":["","",""]},"needGuide":false}'
  dslVersion: v1
flowData:
  nodes:
  - id: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
    dragging: false
    selected: false
    width: 160
    height: 103
    position:
      x: 39.01479189024951
      y: 612.5468520401888
    positionAbsolute:
      x: 39.01479189024951
      y: 612.5468520401888
    type: 开始节点
    data:
      allowInputReference: false
      allowOutputReference: true
      label: 开始
      status: ''
      nodeMeta:
        aliasName: 开始节点
        nodeType: 基础节点
      inputs: [
        ]
      outputs:
      - id: 0918514b-72a8-4646-8dd9-ff4a8fc26d44
        name: AGENT_USER_INPUT
        nameErrMsg: ''
        schema:
          type: string
          default: 用户本轮对话输入内容
        required: true
        deleteDisabled: true
      nodeParam: {
        }
      icon: https://oss-beijing-m8.openstorage.cn/pro-bucket/sparkBot/common/workflow/icon/start-node-icon.png
      description: 工作流的开启节点，用于定义流程调用所需的业务变量信息。
      updatable: false
  - id: node-end::cda617af-551e-462e-b3b8-3bb9a041bf88
    dragging: false
    selected: true
    width: 263
    height: 103
    position:
      x: 2887.469408784302
      y: 622.7420985484129
    positionAbsolute:
      x: 2887.469408784302
      y: 622.7420985484129
    type: 结束节点
    data:
      allowInputReference: true
      allowOutputReference: false
      label: 结束
      references:
      - children:
        - references:
          - originId: ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa
            id: 6e40627d-d03a-4118-befa-1912a5afa98f
            label: result
            type: string
            value: result
            fileType: ''
          label: ''
          value: ''
        label: 生成MarkDown格式报告
        parentNode: true
        value: ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa
      - children:
        - references:
          - originId: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
            id: b782a645-e8ff-4d4c-8e90-e2af780653bd
            label: data_new
            type: array-object
            value: data_new
            fileType: ''
          label: ''
          value: ''
        label: 资讯筛选
        parentNode: true
        value: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
      - children:
        - references:
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: 97f11c40-5bde-4c92-81fa-6ce2f8722754
            label: code
            type: number
            value: code
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: b40ed360-0692-45c9-ab03-52f074a42da9
            label: total
            type: number
            value: total
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: b25dd310-0ca9-4719-82be-e6bd2bd81f0c
            label: msg
            type: string
            value: msg
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            children:
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 3ed8df62-272b-48de-956a-cab9beb501c9
              label: uuid
              type: string
              value: data.uuid
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: b755d580-30d6-4dbd-91cf-64589b042f08
              label: news_title
              type: string
              value: data.news_title
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: cad952cb-3252-463b-b341-c86288911e38
              label: news_link
              type: string
              value: data.news_link
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
              label: news_summary
              type: string
              value: data.news_summary
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
              label: news_img
              type: string
              value: data.news_img
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
              label: news_time
              type: string
              value: data.news_time
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
              label: news_source
              type: string
              value: data.news_source
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
              label: news_tags
              type: string
              value: data.news_tags
              parentType: array-object
              fileType: ''
            id: 46011c95-fb1e-4225-bbb2-eb588a1635af
            label: data
            type: array-object
            value: data
            fileType: ''
          label: ''
          value: ''
        label: 获取全量资讯
        parentNode: true
        value: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
      - children:
        - references:
          - originId: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
            id: 0918514b-72a8-4646-8dd9-ff4a8fc26d44
            label: AGENT_USER_INPUT
            type: string
            value: AGENT_USER_INPUT
            fileType: ''
          label: ''
          value: ''
        label: 开始
        parentNode: true
        value: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
      - children:
        - references:
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: f441f0a2-7119-4eea-882a-ac2bc684436a
            label: code
            type: number
            value: code
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: d10a42a6-c739-47a9-a54b-6ea5c9692499
            label: total
            type: number
            value: total
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: c64a0bcf-644c-4466-987a-1a5720e421e8
            label: msg
            type: string
            value: msg
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            children:
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 3ed8df62-272b-48de-956a-cab9beb501c9
              label: uuid
              type: string
              value: data.uuid
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: b755d580-30d6-4dbd-91cf-64589b042f08
              label: news_title
              type: string
              value: data.news_title
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: cad952cb-3252-463b-b341-c86288911e38
              label: news_link
              type: string
              value: data.news_link
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
              label: news_summary
              type: string
              value: data.news_summary
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
              label: news_img
              type: string
              value: data.news_img
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
              label: news_time
              type: string
              value: data.news_time
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
              label: news_source
              type: string
              value: data.news_source
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
              label: news_tags
              type: string
              value: data.news_tags
              parentType: array-object
              fileType: ''
            id: 1055cb3a-dc28-485b-80b4-18df837edba8
            label: data
            type: array-object
            value: data
            fileType: ''
          label: ''
          value: ''
        label: 查询总资讯数
        parentNode: true
        value: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
      status: ''
      nodeMeta:
        aliasName: 结束节点
        nodeType: 基础节点
      inputs:
      - id: 82de2b42-a059-4c98-bffb-b6b4800fcac9
        name: output
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: ref
            content:
              name: result
              id: 6e40627d-d03a-4118-befa-1912a5afa98f
              nodeId: ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa
            contentErrMsg: ''
        fileType: ''
      outputs: [
        ]
      nodeParam:
        template: '{{output}}'
        streamOutput: true
        templateErrMsg: ''
        outputMode: 1
      icon: https://oss-beijing-m8.openstorage.cn/pro-bucket/sparkBot/common/workflow/icon/end-node-icon.png
      description: 工作流的结束节点，用于输出工作流运行后的最终结果。
      updatable: false
  - id: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
    dragging: false
    selected: false
    width: 587
    height: 570
    position:
      x: 875.5463689987068
      y: 384.15196719520645
    positionAbsolute:
      x: 875.5463689987068
      y: 384.15196719520645
    type: 工具
    data:
      allowInputReference: true
      allowOutputReference: true
      label: 获取全量资讯
      labelEdit: false
      references:
      - children:
        - references:
          - originId: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
            id: 0918514b-72a8-4646-8dd9-ff4a8fc26d44
            label: AGENT_USER_INPUT
            type: string
            value: AGENT_USER_INPUT
            fileType: ''
          label: ''
          value: ''
        label: 开始
        parentNode: true
        value: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
      - children:
        - references:
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: f441f0a2-7119-4eea-882a-ac2bc684436a
            label: code
            type: number
            value: code
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: d10a42a6-c739-47a9-a54b-6ea5c9692499
            label: total
            type: number
            value: total
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: c64a0bcf-644c-4466-987a-1a5720e421e8
            label: msg
            type: string
            value: msg
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            children:
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 3ed8df62-272b-48de-956a-cab9beb501c9
              label: uuid
              type: string
              value: data.uuid
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: b755d580-30d6-4dbd-91cf-64589b042f08
              label: news_title
              type: string
              value: data.news_title
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: cad952cb-3252-463b-b341-c86288911e38
              label: news_link
              type: string
              value: data.news_link
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
              label: news_summary
              type: string
              value: data.news_summary
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
              label: news_img
              type: string
              value: data.news_img
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
              label: news_time
              type: string
              value: data.news_time
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
              label: news_source
              type: string
              value: data.news_source
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
              label: news_tags
              type: string
              value: data.news_tags
              parentType: array-object
              fileType: ''
            id: 1055cb3a-dc28-485b-80b4-18df837edba8
            label: data
            type: array-object
            value: data
            fileType: ''
          label: ''
          value: ''
        label: 查询总资讯数
        parentNode: true
        value: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
      status: ''
      nodeMeta:
        aliasName: 工具
        nodeType: 工具
      inputs:
      - id: ef4290b0-873f-4df3-a4a3-602e5813de2c
        name: start_time
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '2025-07-16'
            contentErrMsg: ''
        description: 起始日期，例如：2025-05-13
        required: true
        disabled: false
      - id: b550c188-b626-455f-898a-f88f5532cb46
        name: end_time
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '2025-07-23'
            contentErrMsg: ''
        description: 结束日期，例如：2025-05-13
        required: true
        disabled: false
      - id: 4a02f5ca-272a-4959-ae0e-f4aa0f1289a6
        name: page
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '1'
            contentErrMsg: ''
        description: 页码
        required: true
        disabled: false
      - id: f853f047-1c24-4bde-932c-b99555a95448
        name: page_size
        nameErrMsg: ''
        schema:
          type: number
          value:
            type: ref
            content:
              name: total
              id: d10a42a6-c739-47a9-a54b-6ea5c9692499
              nodeId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            contentErrMsg: ''
        fileType: ''
        description: 每页数量
        required: true
        disabled: false
      outputs:
      - id: 97f11c40-5bde-4c92-81fa-6ce2f8722754
        name: code
        schema:
          type: number
      - id: b40ed360-0692-45c9-ab03-52f074a42da9
        name: total
        schema:
          type: number
      - id: b25dd310-0ca9-4719-82be-e6bd2bd81f0c
        name: msg
        schema:
          type: string
      - id: 46011c95-fb1e-4225-bbb2-eb588a1635af
        name: data
        schema:
          type: array-object
          properties:
          - id: 3ed8df62-272b-48de-956a-cab9beb501c9
            name: uuid
            type: string
          - id: b755d580-30d6-4dbd-91cf-64589b042f08
            name: news_title
            type: string
          - id: cad952cb-3252-463b-b341-c86288911e38
            name: news_link
            type: string
          - id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
            name: news_summary
            type: string
          - id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
            name: news_img
            type: string
          - id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
            name: news_time
            type: string
          - id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
            name: news_source
            type: string
          - id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
            name: news_tags
            type: string
      nodeParam:
        uid: '14954733327'
        code: ''
        toolDescription: 拉取订阅网站所有资讯
        pluginId: tool@820f16c58821000
        appId: 12a0a7e2
        operationId: 数据爬虫2-0ujchftq
        businessInput: [
          ]
      icon: https://oss-beijing-m8.openstorage.cn/pro-bucket/sparkBot/common/workflow/icon/tool-icon.png
      updatable: false
  - id: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
    dragging: false
    selected: false
    width: 587
    height: 879
    position:
      x: 1533.4388340091773
      y: 229.41753956063997
    positionAbsolute:
      x: 1533.4388340091773
      y: 229.41753956063997
    type: 代码
    data:
      allowInputReference: true
      allowOutputReference: true
      label: 资讯筛选
      labelEdit: false
      references:
      - children:
        - references:
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: 97f11c40-5bde-4c92-81fa-6ce2f8722754
            label: code
            type: number
            value: code
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: b40ed360-0692-45c9-ab03-52f074a42da9
            label: total
            type: number
            value: total
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: b25dd310-0ca9-4719-82be-e6bd2bd81f0c
            label: msg
            type: string
            value: msg
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            children:
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 3ed8df62-272b-48de-956a-cab9beb501c9
              label: uuid
              type: string
              value: data.uuid
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: b755d580-30d6-4dbd-91cf-64589b042f08
              label: news_title
              type: string
              value: data.news_title
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: cad952cb-3252-463b-b341-c86288911e38
              label: news_link
              type: string
              value: data.news_link
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
              label: news_summary
              type: string
              value: data.news_summary
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
              label: news_img
              type: string
              value: data.news_img
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
              label: news_time
              type: string
              value: data.news_time
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
              label: news_source
              type: string
              value: data.news_source
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
              label: news_tags
              type: string
              value: data.news_tags
              parentType: array-object
              fileType: ''
            id: 46011c95-fb1e-4225-bbb2-eb588a1635af
            label: data
            type: array-object
            value: data
            fileType: ''
          label: ''
          value: ''
        label: 获取全量资讯
        parentNode: true
        value: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
      - children:
        - references:
          - originId: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
            id: 0918514b-72a8-4646-8dd9-ff4a8fc26d44
            label: AGENT_USER_INPUT
            type: string
            value: AGENT_USER_INPUT
            fileType: ''
          label: ''
          value: ''
        label: 开始
        parentNode: true
        value: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
      - children:
        - references:
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: f441f0a2-7119-4eea-882a-ac2bc684436a
            label: code
            type: number
            value: code
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: d10a42a6-c739-47a9-a54b-6ea5c9692499
            label: total
            type: number
            value: total
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: c64a0bcf-644c-4466-987a-1a5720e421e8
            label: msg
            type: string
            value: msg
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            children:
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 3ed8df62-272b-48de-956a-cab9beb501c9
              label: uuid
              type: string
              value: data.uuid
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: b755d580-30d6-4dbd-91cf-64589b042f08
              label: news_title
              type: string
              value: data.news_title
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: cad952cb-3252-463b-b341-c86288911e38
              label: news_link
              type: string
              value: data.news_link
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
              label: news_summary
              type: string
              value: data.news_summary
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
              label: news_img
              type: string
              value: data.news_img
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
              label: news_time
              type: string
              value: data.news_time
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
              label: news_source
              type: string
              value: data.news_source
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
              label: news_tags
              type: string
              value: data.news_tags
              parentType: array-object
              fileType: ''
            id: 1055cb3a-dc28-485b-80b4-18df837edba8
            label: data
            type: array-object
            value: data
            fileType: ''
          label: ''
          value: ''
        label: 查询总资讯数
        parentNode: true
        value: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
      status: ''
      nodeMeta:
        aliasName: 代码
        nodeType: 工具
      inputs:
      - id: 81e7bca8-17e5-483d-a432-1a400b8fb0f4
        name: data_old
        nameErrMsg: ''
        schema:
          type: array-object
          value:
            type: ref
            content:
              name: data
              id: 46011c95-fb1e-4225-bbb2-eb588a1635af
              nodeId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            contentErrMsg: ''
        fileType: ''
      - id: 44051ab8-8913-4f66-ae93-9dbb6d01d2d2
        name: theme
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: 眼镜
            contentErrMsg: ''
      - id: 795bae24-f020-42e4-b317-9ae1f537a5e1
        name: number
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '10'
            contentErrMsg: ''
      outputs:
      - id: b782a645-e8ff-4d4c-8e90-e2af780653bd
        name: data_new
        nameErrMsg: ''
        schema:
          type: array-object
          default: ''
      nodeParam:
        uid: '14954733327'
        code: "# -*- coding: utf-8 -*-\nimport json\nimport re\ndef rank_by_topic_relevance(data,topic):\n\
          \    # 计算每个摘要与主题的相关度\n    results = []\n    for item in data:\n        score\
          \ = 0\n        summary = item['news_summary']\n        if len(summary) >\
          \ 0:\n            # 计算主题词在摘要中出现的次数\n            count = summary.count(topic)\n\
          \            # 计算相关度得分（简单版本：使用词频）\n            score = count / len(summary)\n\
          \        item[\"score\"] = score\n        results.append(item)\n    \n \
          \   # 按照score进行降序排序\n    sorted_results = sorted(results, key=lambda x:\
          \ x['score'], reverse=True)\n    return sorted_results\n\ndef main(data_old,theme,number):\n\
          \    data = rank_by_topic_relevance(data_old,theme)\n\n    data_new = data[:int(number)]\n\
          \n\n    ret = {\n        \"data_new\": data_new\n    }\n    return ret"
        appId: 12a0a7e2
        codeErrMsg: ''
      icon: https://oss-beijing-m8.openstorage.cn/pro-bucket/sparkBot/common/workflow/icon/codeIcon.png
      description: 面向开发者提供代码开发能力，目前仅支持python语言，允许使用该节点已定义的变量作为参数传入，返回语句用于输出函数的结果
      updatable: false
  - id: ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa
    dragging: false
    selected: false
    width: 587
    height: 782
    position:
      x: 2179.588577334472
      y: 282.9192125841067
    positionAbsolute:
      x: 2179.588577334472
      y: 282.9192125841067
    type: 代码
    data:
      allowInputReference: true
      allowOutputReference: true
      label: 生成MarkDown格式报告
      labelEdit: false
      references:
      - children:
        - references:
          - originId: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
            id: b782a645-e8ff-4d4c-8e90-e2af780653bd
            label: data_new
            type: array-object
            value: data_new
            fileType: ''
          label: ''
          value: ''
        label: 资讯筛选
        parentNode: true
        value: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
      - children:
        - references:
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: 97f11c40-5bde-4c92-81fa-6ce2f8722754
            label: code
            type: number
            value: code
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: b40ed360-0692-45c9-ab03-52f074a42da9
            label: total
            type: number
            value: total
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            id: b25dd310-0ca9-4719-82be-e6bd2bd81f0c
            label: msg
            type: string
            value: msg
            fileType: ''
          - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
            children:
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 3ed8df62-272b-48de-956a-cab9beb501c9
              label: uuid
              type: string
              value: data.uuid
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: b755d580-30d6-4dbd-91cf-64589b042f08
              label: news_title
              type: string
              value: data.news_title
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: cad952cb-3252-463b-b341-c86288911e38
              label: news_link
              type: string
              value: data.news_link
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
              label: news_summary
              type: string
              value: data.news_summary
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
              label: news_img
              type: string
              value: data.news_img
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
              label: news_time
              type: string
              value: data.news_time
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
              label: news_source
              type: string
              value: data.news_source
              parentType: array-object
              fileType: ''
            - originId: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
              id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
              label: news_tags
              type: string
              value: data.news_tags
              parentType: array-object
              fileType: ''
            id: 46011c95-fb1e-4225-bbb2-eb588a1635af
            label: data
            type: array-object
            value: data
            fileType: ''
          label: ''
          value: ''
        label: 获取全量资讯
        parentNode: true
        value: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
      - children:
        - references:
          - originId: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
            id: 0918514b-72a8-4646-8dd9-ff4a8fc26d44
            label: AGENT_USER_INPUT
            type: string
            value: AGENT_USER_INPUT
            fileType: ''
          label: ''
          value: ''
        label: 开始
        parentNode: true
        value: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
      - children:
        - references:
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: f441f0a2-7119-4eea-882a-ac2bc684436a
            label: code
            type: number
            value: code
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: d10a42a6-c739-47a9-a54b-6ea5c9692499
            label: total
            type: number
            value: total
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            id: c64a0bcf-644c-4466-987a-1a5720e421e8
            label: msg
            type: string
            value: msg
            fileType: ''
          - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
            children:
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 3ed8df62-272b-48de-956a-cab9beb501c9
              label: uuid
              type: string
              value: data.uuid
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: b755d580-30d6-4dbd-91cf-64589b042f08
              label: news_title
              type: string
              value: data.news_title
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: cad952cb-3252-463b-b341-c86288911e38
              label: news_link
              type: string
              value: data.news_link
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
              label: news_summary
              type: string
              value: data.news_summary
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
              label: news_img
              type: string
              value: data.news_img
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
              label: news_time
              type: string
              value: data.news_time
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
              label: news_source
              type: string
              value: data.news_source
              parentType: array-object
              fileType: ''
            - originId: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
              id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
              label: news_tags
              type: string
              value: data.news_tags
              parentType: array-object
              fileType: ''
            id: 1055cb3a-dc28-485b-80b4-18df837edba8
            label: data
            type: array-object
            value: data
            fileType: ''
          label: ''
          value: ''
        label: 查询总资讯数
        parentNode: true
        value: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
      status: ''
      nodeMeta:
        aliasName: 代码
        nodeType: 工具
      inputs:
      - id: ff92f528-6ad0-40ba-ac66-4fb677288f52
        name: data
        nameErrMsg: ''
        schema:
          type: array-object
          value:
            type: ref
            content:
              name: data_new
              id: b782a645-e8ff-4d4c-8e90-e2af780653bd
              nodeId: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
            contentErrMsg: ''
        fileType: ''
      outputs:
      - id: 6e40627d-d03a-4118-befa-1912a5afa98f
        name: result
        nameErrMsg: ''
        schema:
          type: string
          default: ''
      nodeParam:
        uid: '14954733327'
        code: "def main(data):\n    brief = []\n    # 添加标题\n    brief.append(f\"#\
          \ AI资讯速递\\n\\n\")\n    for item in data:\n        tags = item['news_tags'].split(',')\n\
          \        tags = tags[:4]  # 只取前4个标签\n        tags_str = ','.join(tags)\n\
          \        # 添加标题\n        brief.append(f\"### {item['news_title']}\\n\\n\"\
          )\n        # 添加时间\n        brief.append(f\"**日期**：{item['news_time']}\\\
          n\\n\")\n        # 添加来源\n        brief.append(f\"**来源**：{item['news_source']}\\\
          n\\n\")\n        # 添加标签\n        brief.append(f\"**关键词**：{tags_str}\\n\\\
          n\")\n\n        # 添加摘要\n        brief.append(f\"**摘要**：{item['news_summary']}\\\
          n\\n\")\n\n        # 添加链接\n        brief.append(f\"**原文链接**：{item['news_link']}\\\
          n\\n\")\n        brief.append(\"---\\n\\n\")\n    result = \"\".join(brief)\
          \ \n\n\n\n    ret = {\n        \"result\": result\n    }\n    return ret"
        appId: 12a0a7e2
        codeErrMsg: ''
      icon: https://oss-beijing-m8.openstorage.cn/pro-bucket/sparkBot/common/workflow/icon/codeIcon.png
      description: 面向开发者提供代码开发能力，目前仅支持python语言，允许使用该节点已定义的变量作为参数传入，返回语句用于输出函数的结果
      updatable: false
  - id: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
    dragging: false
    selected: false
    width: 587
    height: 570
    position:
      x: 246.7776632302366
      y: 380.2069668744297
    positionAbsolute:
      x: 246.7776632302366
      y: 380.2069668744297
    type: 工具
    data:
      allowInputReference: true
      allowOutputReference: true
      label: 查询总资讯数
      labelEdit: false
      references:
      - children:
        - references:
          - originId: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
            id: 0918514b-72a8-4646-8dd9-ff4a8fc26d44
            label: AGENT_USER_INPUT
            type: string
            value: AGENT_USER_INPUT
            fileType: ''
          label: ''
          value: ''
        label: 开始
        parentNode: true
        value: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
      status: ''
      nodeMeta:
        aliasName: 工具
        nodeType: 工具
      inputs:
      - id: 64fd3078-af13-4e7c-9b75-8318a873117d
        name: start_time
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '2025-07-16'
            contentErrMsg: ''
        description: 起始日期，例如：2025-05-13
        required: true
        disabled: false
      - id: 5f188988-25af-417c-b6b6-da3430c9fd91
        name: end_time
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '2025-07-23'
            contentErrMsg: ''
        description: 结束日期，例如：2025-05-13
        required: true
        disabled: false
      - id: 0b5ab9b2-1ebc-4e8e-b480-3bb1d92576e9
        name: page
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '1'
            contentErrMsg: ''
        description: 页码
        required: true
        disabled: false
      - id: a0936957-e654-4d6e-b882-e5902788c07f
        name: page_size
        nameErrMsg: ''
        schema:
          type: string
          value:
            type: literal
            content: '1'
            contentErrMsg: ''
        description: 每页数量
        required: true
        disabled: false
      outputs:
      - id: f441f0a2-7119-4eea-882a-ac2bc684436a
        name: code
        schema:
          type: number
      - id: d10a42a6-c739-47a9-a54b-6ea5c9692499
        name: total
        schema:
          type: number
      - id: c64a0bcf-644c-4466-987a-1a5720e421e8
        name: msg
        schema:
          type: string
      - id: 1055cb3a-dc28-485b-80b4-18df837edba8
        name: data
        schema:
          type: array-object
          properties:
          - id: 3ed8df62-272b-48de-956a-cab9beb501c9
            name: uuid
            type: string
          - id: b755d580-30d6-4dbd-91cf-64589b042f08
            name: news_title
            type: string
          - id: cad952cb-3252-463b-b341-c86288911e38
            name: news_link
            type: string
          - id: 5f200e6c-545b-4ba1-bb6c-85cf2b934009
            name: news_summary
            type: string
          - id: 67c18c5e-91e9-4e77-8e5e-2c986825f713
            name: news_img
            type: string
          - id: c3b4a082-a49d-4e88-aad0-c4ae942f987d
            name: news_time
            type: string
          - id: 747b3982-3ada-4823-bea7-8c77d82e0b5b
            name: news_source
            type: string
          - id: e2ba882c-c608-4e06-af0a-26999a6c1cd2
            name: news_tags
            type: string
      nodeParam:
        uid: '14954733327'
        code: ''
        toolDescription: 拉取订阅网站所有资讯
        pluginId: tool@820f16c58821000
        appId: 12a0a7e2
        operationId: 数据爬虫2-0ujchftq
        businessInput: [
          ]
      icon: https://oss-beijing-m8.openstorage.cn/pro-bucket/sparkBot/common/workflow/icon/tool-icon.png
      updatable: false
  edges:
  - source: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
    target: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
    type: customEdge
    id: reactflow__edge-plugin::3a4510e8-1235-4cea-82b2-788377fdea27-ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
    markerEnd:
      color: '#275EFF'
      type: arrow
    data:
      edgeType: polyline
  - source: ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510
    target: ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa
    type: customEdge
    id: reactflow__edge-ifly-code::f9a9c3e4-5175-4ee5-93f2-8ae39ed98510-ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa
    markerEnd:
      color: '#275EFF'
      type: arrow
    data:
      edgeType: polyline
  - source: ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa
    target: node-end::cda617af-551e-462e-b3b8-3bb9a041bf88
    targetHandle: node-end::cda617af-551e-462e-b3b8-3bb9a041bf88
    type: customEdge
    id: reactflow__edge-ifly-code::fba8ad6d-8463-4c06-885d-2163a0fe3bfa-node-end::cda617af-551e-462e-b3b8-3bb9a041bf88node-end::cda617af-551e-462e-b3b8-3bb9a041bf88
    markerEnd:
      color: '#275EFF'
      type: arrow
    data:
      edgeType: polyline
  - source: node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783
    target: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
    type: customEdge
    id: reactflow__edge-node-start::d61b0f71-87ee-475e-93ba-f1607f0ce783-plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
    markerEnd:
      color: '#275EFF'
      type: arrow
    data:
      edgeType: polyline
  - source: plugin::86d119af-6c94-44bb-9b77-7e26f6783e33
    target: plugin::3a4510e8-1235-4cea-82b2-788377fdea27
    type: customEdge
    id: reactflow__edge-plugin::86d119af-6c94-44bb-9b77-7e26f6783e33-plugin::3a4510e8-1235-4cea-82b2-788377fdea27
    markerEnd:
      color: '#275EFF'
      type: arrow
    data:
      edgeType: polyline
